/* function prototypes */
int istrncmp( char *s1, char *s2, int len);
int strtoupper( char *table, int len);

/* endian helper functions */
int endian_check();
int encmp(char *a, char *b, int len);
int encmp_short(short a, short b);
int encmp_int(int a, int b);
void * encpy(char *dest, char *src, int len);
void * encpy_short(short dest, short src);
void * encpy_int(int dest, int src);
